Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 04/27/2021 in all areas

  1. Should be what you need. (defun C:FOO (/ SS ) (if (setq SS (ssget '((0 . "CIRCLE") (-4 . "=") (40 . radi)))) ;change radi to the radius you want (vl-cmdf "_Chprop" SS "" "C" "COLOR" "") ;change Color to what you want ) )
    1 point
  2. We lost BBcode a while back on another Invision forum I frequent. It only took a little getting used to not being able to use it anymore. Admin can enable a 'Source' button on the editor toolbar (if they want to) so that users can edit posts in HTML instead. (With restrictions of course, you don't want just anyone using HTML on your forum). I've used it a couple of times in place of BBcode, usually to edit things like quotes when the standard editor isn't playing nice. And yes the standard editor does have some quirks on this version of Invision forum software. (Don't they always). Here's an example of what it looks like in source mode:
    1 point
  3. Here too: http://www.theswamp.org/index.php?topic=56703.msg604443#msg604443
    1 point
  4. CADTutor.net is the fastest CAD forum I am aware of. The blasted Autodesk forums are so bloated and slow, and there is always something going on where you can't load photos, or the pages time out, or something. It is a pleasure to come here and read or respond to a post and know that it just works, super fast on top of that. Cheers to David and all of the members who make this place what it is.
    1 point
  5. A minor point, but always be sure to declare the redefined *error* symbol as local to the function (i.e. within the list of local arguments & variables), so that the scope of the redefinition is limited to the function in which it is redefined; without this declaration, you are redefining the error function globally and therefore affecting all other AutoLISP functions defined within the active document namespace.
    1 point
  6. 1. Yes 2. If the error contains any of the following in the wcwatch it will not display the error message that is all. if its a different error it will display that error. The lisp has already stopped due to the error. Example: type ZE command Autocad zoom extents and waits for object selection. *hit esc key* error: Function Cancled 3. Yes just add it before or after your code. more details here or here This is my zoom Extents macro it has a second "command" to zoom to object if i select anything but usually just hit esc and dont want to see an error when i do. ;;------------------------------------------------------------------------------------------------------------;; ;; Zoom Extents Then Zoom to object if needed (defun C:ZE (/ SS *error*) (defun *error* (errmsg) (if (not (member errmsg '( "Console Break" "Function cancelled"))) (princ (strcat "\nError: " errmsg)) ) ) (vl-cmdf "_.Zoom" "E") (if (setq SS (ssget)) (progn (vl-cmdf "_.Zoom" "OB" SS "") (vl-cmdf "_.Zoom" "0.95x") ) ) )
    1 point
  7. I wonder if there's a variable to control the time delay? Or even the registry? I searched TEMPOVERRIDES (the system variable that controls the Shift toggle for Orthomode) in the registry and found some options, but no time delay. I wonder if there's a generic time delay string value that could be used? Any programmers on here that care to weigh in on this inquiry?
    1 point
×
×
  • Create New...